Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.jdom
Class XPathNamespace

    java.lang.Object
      org.jaxen.jdom.XPathNamespace

public class XPathNamespace
extends Object

Wrapper for JDOM namespace nodes to give them a parent, as required by the XPath data model.

Author:
  Erwin Bolwidt

Constructor Summary
`XPathNamespace(org.jdom.Element jdomElement, org.jdom.Namespace jdomNamespace)` Creates a namespace-node wrapper for a namespace node that is assigned to the given JDOM element.
`XPathNamespace(org.jdom.Namespace jdomNamespace)` Creates a namespace-node wrapper for a namespace node that hasn't been assigned to an element yet.

Method Summary
`org.jdom.Element` | `getJDOMElement()` Returns the JDOM element from which this namespace node has been retrieved.
`org.jdom.Namespace` | `getJDOMNamespace()` Returns the JDOM namespace object of this namespace node; the JDOM namespace object contains the prefix and URI of the namespace.
`void` | `setJDOMElement(org.jdom.Element jdomElement)` Sets or changes the element to which this namespace node is assigned.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathNamespace

    public XPathNamespace(org.jdom.Namespace jdomNamespace)

  Creates a namespace-node wrapper for a namespace node that hasn't been assigned to an element yet.

### XPathNamespace

    public XPathNamespace(org.jdom.Element jdomElement,
                          org.jdom.Namespace jdomNamespace)

  Creates a namespace-node wrapper for a namespace node that is assigned to the given JDOM element.

Method Detail

### getJDOMElement

    public org.jdom.Element getJDOMElement()

  Returns the JDOM element from which this namespace node has been retrieved. The result may be null when the namespace node has not yet been assigned to an element.

### setJDOMElement

    public void setJDOMElement(org.jdom.Element jdomElement)

  Sets or changes the element to which this namespace node is assigned.

### getJDOMNamespace

    public org.jdom.Namespace getJDOMNamespace()

  Returns the JDOM namespace object of this namespace node; the JDOM namespace object contains the prefix and URI of the namespace.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.